Name:               conman
Version:            0.3.1
Release:    1%{?dist}
Summary:            ConMan - The Console Manager

License:            GPLv3+
URL:                https://dun.github.io/conman/
Source0:            https://github.com/dun/%{name}/archive/%{name}-%{version}.tar.gz#/%{name}-%{version}.tar.gz

Requires:           logrotate
Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd
BuildRequires:      gcc
BuildRequires:      perl-generators
BuildRequires:      freeipmi-devel
BuildRequires:      systemd
BuildRequires:      make
BuildRequires:      autoconf automake libtool

%description
ConMan is a serial console management program designed to support a large
number of console devices and simultaneous users.  It currently supports
local serial devices and remote terminal servers (via the telnet protocol).
Its features include:

  - mapping symbolic names to console devices
  - logging all output from a console device to file
  - supporting monitor (R/O), interactive (R/W), and
    broadcast (W/O) modes of console access
  - allowing clients to join or steal console "write" privileges
  - executing Expect scripts across multiple consoles in parallel


%prep
%setup -qn %{name}-%{name}-%{version}

sh ./bootstrap

sed -i -e 's|\/usr\/bin\/env perl|\/usr\/bin\/perl|g' conmen


%build
%configure
make %{?_smp_mflags}


%install
%make_install

mkdir -p %{buildroot}%{_localstatedir}/log/%{name}
mkdir -p %{buildroot}%{_localstatedir}/log/%{name}.old

# Only move directory if it exists
if [ -d %{buildroot}/usr/lib/%{name} ]; then
  mv %{buildroot}/usr/lib/%{name} %{buildroot}%{_datadir}/%{name}
  chmod -x %{buildroot}%{_datadir}/%{name}/*.exp
fi


%post
%systemd_post conman.service

%preun
%systemd_preun conman.service

%postun
%systemd_postun_with_restart conman.service


%files
%license COPYING
%doc AUTHORS FAQ NEWS
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_unitdir}/%{name}.service
%dir %{_localstatedir}/log/%{name}
%dir %{_localstatedir}/log/%{name}.old
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/%{name}/
%{_mandir}/*/*


%changelog
* Tue Apr 23 2024 Fanjun Kong <fanjunkong@tencent.com> - 0.3.1-1
- Update to version 0.3.1

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-1
- initial build
